Project

General

Profile

Feature #13529

Feature #12160: Upgrade all systems to Stretch

Upgrade puppet-git.lizard to Stretch

Added by intrigeri almost 2 years ago. Updated almost 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
Infrastructure
Target version:
Start date:
07/28/2017
Due date:
% Done:

100%

Feature Branch:
Type of work:
Sysadmin
Blueprint:
Starter:
Affected tool:

Description

This should be pretty much straightforward as long as we stick to our current Puppet packages, and Gitolite keeps working.

The only other potential problem I can foresee is the MySQL → MariaDB migration, but this went fine on ecours.


Related issues

Blocks Tails - Feature #13284: Core work: Sysadmin (Adapt our infrastructure) Confirmed 06/30/2017

History

#1 Updated by intrigeri almost 2 years ago

  • Blocks Feature #13284: Core work: Sysadmin (Adapt our infrastructure) added

#2 Updated by intrigeri almost 2 years ago

  • Description updated (diff)

#3 Updated by intrigeri almost 2 years ago

  • Blocked by Bug #10093: Upgrade to Gitolite v3 on puppet-git.lizard added

#4 Updated by intrigeri almost 2 years ago

  • Blocked by deleted (Bug #10093: Upgrade to Gitolite v3 on puppet-git.lizard)

#5 Updated by intrigeri almost 2 years ago

  • Status changed from Confirmed to In Progress
  • % Done changed from 0 to 50

Upgraded. The puppetmaster still works (after building for Stretch + uploading ruby-mysql). Basic git-annex operations work too. Repaired puppet-sync. I'll wait a few days for regressions to appear before I close this ticket.

#6 Updated by intrigeri almost 2 years ago

  • Status changed from In Progress to Resolved
  • % Done changed from 50 to 100

Works like a charm, apparently.

Also available in: Atom PDF